# Method: folders.clearOrgPolicy

- [HTTP request](https://docs.cloud.google.com/resource-manager/reference/rest/v1/folders/clearOrgPolicy#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/resource-manager/reference/rest/v1/folders/clearOrgPolicy#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/resource-manager/reference/rest/v1/folders/clearOrgPolicy#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/resource-manager/reference/rest/v1/folders/clearOrgPolicy#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/resource-manager/reference/rest/v1/folders/clearOrgPolicy#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/resource-manager/reference/rest/v1/folders/clearOrgPolicy#body.aspect)
- [Try it!](https://docs.cloud.google.com/resource-manager/reference/rest/v1/folders/clearOrgPolicy#try-it)

Clears a `Policy` from a resource.

### HTTP request

`POST https://cloudresourcemanager.googleapis.com/v1/{resource=folders/*}:clearOrgPolicy`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `resource` | `string` Name of the resource for the `Policy` to clear. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `resource`: - `orgpolicy.policy.set` |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "constraint": string, "etag": string } ``` |

| Fields ||
|---|---|
| `constraint` | `string` Name of the `Constraint` of the `Policy` to clear. |
| `etag` | `string (https://developers.google.com/discovery/v1/type-format format)` The current version, for concurrency control. Not sending an `etag` will cause the `Policy` to be cleared blindly. A base64-encoded string. |

### Response body

If successful, the response body is an empty JSON object.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `https://www.googleapis.com/auth/cloudplatformorganizations`
- `https://www.googleapis.com/auth/cloudplatformprojects`
- `https://www.googleapis.com/auth/cloudplatformfolders`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).